Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004552opensim[REGION] Script Functionspublic2010-01-26 14:542014-07-29 13:40
ReporterMichelle Argus 
Assigned Tojustincc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0004552: llGetTexture returns UUID of Inventory instead of Name
DescriptionWhen using llGetTexture() the result should be the Texturename if that Texture is in the Prims inventory.

 Currently it always gives the UUID nomatter if the Texture is in the inventory or not.

http://wiki.secondlife.com/wiki/LlGetTexture [^]
TagsNo tags attached.
Git Revision or version numberall
Run Mode Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBasicPhysics
EnvironmentMono / Linux32
Mono Version2.4.2
Viewer
Attached Filestxt file icon 001-Patch to return inventory name when using llGetTexture.txt [^] (1,257 bytes) 2011-07-21 14:05 [Show Content]
txt file icon 002-Patch to return inventory name when using llGetTexture.txt [^] (1,301 bytes) 2011-10-03 06:10 [Show Content]

- Relationships
related to 0005354closed llSetTexture does not check for presence of texture in prim inventory if name is formatted as a UUID 

-  Notes
(0019026)
Michelle Argus (reporter)
2011-07-21 14:06

Adding Patch to return the inventory name when the texture is inside the object.
(0019039)
justincc (administrator)
2011-07-22 18:23

Principle of the patch is fine, but please could you rewrite so that it simply tries to retrieve the inventory item from TaskInventory directly via TryGetValue(). It is a dictionary after all.

Also, texure should be texture.
(0020090)
Michelle Argus (reporter)
2011-10-03 06:14

Added new Patch 002 replacing 001...

using TryGetValue fails on part.TaskInventory, so until someone figures a way to refactor all for-loops used in LSL_Api I reused the already used for-loop.
(0020093)
justincc (administrator)
2011-10-03 16:18

Ah, my mistake Michelle - you're quite right, we have to inspect each item's asset id separately.

Applied as git master 8a6e686 - thanks! I made a further small tweak to break out of the inventory item inspection early if a qualifying item was found.

FYI, I also made a change in a8af0a5 to return NULL_KEY if an invalid face is specified.

- Issue History
Date Modified Username Field Change
2010-01-26 14:54 Michelle Argus New Issue
2010-01-26 14:54 Michelle Argus Git Revision => all
2010-01-26 14:54 Michelle Argus SVN Revision => 0
2010-01-26 14:54 Michelle Argus Run Mode => Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
2010-01-26 14:54 Michelle Argus Physics Engine => BasicPhysics
2010-01-26 14:54 Michelle Argus Environment => Mono / Linux32
2010-01-26 14:54 Michelle Argus Mono Version => 2.4.2
2011-02-04 07:16 justincc Relationship added related to 0005354
2011-07-21 14:05 Michelle Argus File Added: 001-Patch to return inventory name when using llGetTexture.txt
2011-07-21 14:06 Michelle Argus Note Added: 0019026
2011-07-21 14:06 Michelle Argus Status new => patch included
2011-07-22 18:23 justincc Note Added: 0019039
2011-07-22 18:23 justincc Status patch included => patch feedback
2011-10-03 06:10 Michelle Argus File Added: 002-Patch to return inventory name when using llGetTexture.txt
2011-10-03 06:14 Michelle Argus Note Added: 0020090
2011-10-03 16:18 justincc Status patch feedback => resolved
2011-10-03 16:18 justincc Resolution open => fixed
2011-10-03 16:18 justincc Assigned To => justincc
2011-10-03 16:18 justincc Note Added: 0020093
2014-07-29 13:40 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker